Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.tools.checks
Class ChecksServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.jasig.portal.tools.checks.ChecksServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class ChecksServlet

extends javax.servlet.http.HttpServlet

A Servlet which renders the results of the checks.

Since:
  uPortal 2.5
Version:
  $Revision: 1.2.2.1 $ $Date: 2005/07/15 20:28:11 $
See Also:
  Serialized Form

Constructor Summary
`ChecksServlet()`

Method Summary
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`private java.util.List` | `failedChecks(java.util.List checks)` Returns the List of failed checks that contains, order retained, those checks from the given list that failed.
`private void` | `printChecksAsTable(java.util.List checks, java.io.PrintWriter writer)` Prints the given List of CheckAndResult instances as a table to the given PrintWriter.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChecksServlet

    public ChecksServlet()

Method Detail

### doPost

    protected final void doPost(javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response)
                         throws java.io.IOException

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Throws:
    `java.io.IOException`

### doGet

    protected final void doGet(javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response)
                        throws java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `java.io.IOException`

### failedChecks

    private java.util.List failedChecks(java.util.List checks)

  Returns the List of failed checks that contains, order retained, those checks from the given list that failed.

  Parameters:
    `checks` - a List of CheckAndResults
  Returns:
    a List of those of the given CheckAndResults that failed.

### printChecksAsTable

    private void printChecksAsTable(java.util.List checks,
                                    java.io.PrintWriter writer)

  Prints the given List of CheckAndResult instances as a table to the given PrintWriter.

  Parameters:
    `checks` - CheckAndResult instances
    `writer` - output target

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD